## ros-kinetic-openslam-gmapping 0.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(openslam_gmapping)

find_package(catkin)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES gridfastslam scanmatcher sensor_base sensor_range sensor_odometry utils
)

include_directories(include)

add_subdirectory(gridfastslam)
add_subdirectory(scanmatcher)
add_subdirectory(sensor)
add_subdirectory(utils)

if(0)
  add_subdirectory(gui)
endif()

install(DIRECTORY include/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
                 PATTERN "*.hxx"
  PATTERN ".svn" EXCLUDE
)

=== gfs-carmen/Makefile ===
OBJS= 
APPS= gfs-carmen

LIBS+= -lcarmenwrapper -lgridfastslam -lconfigfile
CPPFLAGS+= -I ../sensor -I$(CARMEN_HOME)/include 

-include ../global.mk
ifeq ($(CARMENSUPPORT), 0)
APPS=
.PHONY: clean all

all:

clean:

else
	-include ../build_tools/Makefile.app
endif

=== grid/Makefile ===
OBJS= 
APPS= map_test

LDFLAGS+= 
CPPFLAGS+= -DNDEBUG 

-include ../global.mk
-include ../build_tools/Makefile.app

=== gridfastslam/CMakeLists.txt ===
add_library(gridfastslam
    gfsreader.cpp
    gridslamprocessor.cpp
    gridslamprocessor_tree.cpp
    motionmodel.cpp
)
target_link_libraries(gridfastslam scanmatcher sensor_range)

install(TARGETS gridfastslam DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== gui/CMakeLists.txt ===
find_package(Qt5Widgets)
if(Qt5Widgets_FOUND)
else()
find_package(Qt4)
include(${QT_USE_FILE})
endif()

include_directories(../include/gmapping ../ ../include/gmapping/log/)

#add_executable(gfs_nogui gfs_nogui.cpp)

add_executable(gfs_simplegui gfs_simplegui.cpp gsp_thread.cpp)
if(Qt5Widgets_FOUND)
target_link_libraries(gfs_simplegui gridfastslam Qt5::Widgets)
else()
target_link_libraries(gfs_simplegui gridfastslam ${QT_LIBRARIES})
endif()

#add_executable(gfs2img gfs2img.cpp gridfastslam)

#-include ../global.mk

#OBJS= gsp_thread.o qparticleviewer.o qgraphpainter.o qmappainter.o 

#APPS= gfs_nogui gfs_simplegui gfs2img
#LDFLAGS+=  $(QT_LIB) $(KDE_LIB) -lgridfastslam -lscanmatcher -llog -lsensor_range -lsensor_odometry -lsensor_base -lconfigfile -lutils -lpthread

#ifeq ($(CARMENSUPPORT),1)
#LDFLAGS+= -lcarmenwrapper 
#endif

#CPPFLAGS+= -I../sensor $(QT_INCLUDE) $(KDE_INCLUDE) -I$(CARMEN_HOME)/include


#-include ../build_tools/Makefile.generic-shared-object

=== log/Makefile ===
OBJS= configuration.o carmenconfiguration.o sensorlog.o sensorstream.o
APPS= log_test log_plot scanstudio2carmen rdk2carmen

LDFLAGS+=  -lsensor_range -lsensor_odometry -lsensor_base 
CPPFLAGS+= -I../sensor 

-include ../global.mk
-include ../build_tools/Makefile.generic-shared-object

=== scanmatcher/CMakeLists.txt ===
add_library(scanmatcher eig3.cpp scanmatcher.cpp scanmatcherprocessor.cpp smmap.cpp)
target_link_libraries(scanmatcher sensor_range utils)

install(TARGETS scanmatcher DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== sensor/CMakeLists.txt ===
add_subdirectory(sensor_base)
add_subdirectory(sensor_odometry)
add_subdirectory(sensor_range)

=== sensor/Makefile ===
-include ../global.mk

SUBDIRS=sensor_base sensor_odometry sensor_range

-include ../build_tools/Makefile.subdirs

=== utils/CMakeLists.txt ===
include_directories(./)
add_library(utils movement.cpp stat.cpp)
install(TARGETS utils DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== sensor/sensor_base/CMakeLists.txt ===
include_directories(./)
add_library(sensor_base sensor.cpp sensorreading.cpp)
install(TARGETS sensor_base DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== sensor/sensor_odometry/CMakeLists.txt ===
add_library(sensor_odometry odometryreading.cpp odometrysensor.cpp)
target_link_libraries(sensor_odometry sensor_base)

install(TARGETS sensor_odometry DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-kinetic-openslam-gmapping (0.1.2-0xenial) xenial; urgency=high

  * better Windows compilation
    This is taken from #9 <https://github.com/ros-perception/openslam_gmapping/issues/9> which can now be closed.
  * fix a few more graphics stuff for Qt5
  * get GUI back in shape for those interested
  * use srand instead of srand48
    srand48 is non-standard and we are using a seed that is an
    unsigned int so we might as well use srand
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 22 Apr 2016 22:00:00 -0000

ros-kinetic-openslam-gmapping (0.1.1-0xenial) xenial; urgency=high

  * fix cppcheck warnings
  * License from BSD to CC
  * Contributors: Isaac IY Saito, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 24 Jun 2015 22:00:00 -0000

ros-kinetic-openslam-gmapping (0.1.0-0xenial) xenial; urgency=high

  * Forked from https://openslam.informatik.uni-freiburg.de/data/svn/gmapping/trunk/
  * Catkinized and prepared for release into the ROS ecosystem

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 28 Jun 2013 18:33:53 +0200

=== debian/control ===
Source: ros-kinetic-openslam-gmapping
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://openslam.org/gmapping
Standards-Version: 3.9.2

Package: ros-kinetic-openslam-gmapping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: ROS-ified version of gmapping SLAM.
 Forked from https://openslam.informatik.uni-freiburg.de/data/svn/gmapping/trunk/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-openslam-gmapping//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
